﻿@model IEnumerable<EntityFrameworkAgain.Models.Tb_Transactions>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Supp_ID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Con_ID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Prod_ID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Price)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Quantity)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Supp_ID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Con_ID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Prod_ID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Price)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Quantity)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Tran_ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.Tran_ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Tran_ID })
        </td>
    </tr>
}

</table>
